CREATE TABLE Clientes_Titulares(
	Id_Cliente int NOT NULL,
	Id_Cliente_Tit int NOT NULL,
	Item SmallInt NOT NULL,
	Tipo VarChar(2) NOT NULL,
	Porc Decimal(7,2),
	Activo tinyint NULL,
	Fecha_Alta datetime NULL,
	Fecha_Baja datetime NULL,
	Id_User_Alta Int NULL,
	Id_User_Baja Int NULL, 
	Observacion text NULL,
 CONSTRAINT PK_CTit_PorId PRIMARY KEY CLUSTERED 
(
	Id_Cliente ASC,
	Id_Cliente_Tit ASC,
	Item ASC
)
) 

GO

ALTER TABLE Clientes_Titulares  WITH NOCHECK ADD  CONSTRAINT FK_CTit_Clientes FOREIGN KEY(Id_Cliente)
REFERENCES Clientes (Id_Cliente)
GO

CREATE INDEX IX_CTit_PorTitular On Clientes_Titulares (Id_Cliente_Tit,Id_Cliente,Item)
Go

Alter Table Productos Add Id_Cta_Banco Int
go
CREATE INDEX IX_Pro_PorCtaBco On Productos (Id_Cta_Banco,Id_Producto)
Go
 
 